Summary:		ACPI kernel daemon and control utility
Name:			acpid
Version:		1.0.10
%define subrel 1
Release:		%manbo_mkrel 1
License:		GPLv2+
Group:			System/Servers
Epoch:			2
URL:			http://acpid.sourceforge.net
Source0:		http://unc.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:		acpid.rc
Patch1:			acpid-1.0.6-ignore-rpmnew.patch
# patches from RH
Patch4:			acpid-1.0.8-makefile.patch
Patch5:			acpid-1.0.8-CVE-2009-4235.diff
ExclusiveArch:		%{ix86} ia64 x86_64 amd64
Requires(post):		rpm-helper
Requires(post):		chkconfig >= 1.3.37-3mdv
Requires(preun):	rpm-helper
Conflicts:		suspend-scripts < 1.27-2mdv2007.1
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot

%description
The ACPI specification defines power and system management functions
for each computer, in a generic manner. The ACPI daemon coordinates
the management of power and system functions when ACPI kernel
support is enabled (kernel 2.3.x or later).

%prep 
%setup -q

%patch1 -p1 -b .rpmnew
%patch4 -p1 -b .optflags
%patch5 -p0 -b .CVE-2009-4235

%build
%serverbuild
%make

%install
%makeinstall_std INSTPREFIX=%{buildroot}

mkdir -p %{buildroot}/%{_initrddir}
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/acpid

install -d %{buildroot}%{_sysconfdir}/acpi/actions

%clean
rm -rf %{buildroot}

%triggerpostun -- acpid < 2:1.0.6-7mnb
/sbin/chkconfig --level 7 acpid reset

%post
%_post_service acpid

%preun
%_preun_service acpid

%files
%defattr(-,root,root)
%doc README TODO Changelog
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man8/*
%{_initrddir}/acpid
%dir %{_sysconfdir}/acpi/actions


%changelog
* Sat Dec 26 2009 Oden Eriksson <oeriksson@mandriva.com> 2:1.0.10-1.1mnb2
- P5: security fix for CVE-2009-4235 (redhat)

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 2:1.0.10-1mnb2
+ Revision: 370002
- Update to new version 1.0.10 (fixes CVE-2009-0798)

* Sat Mar 21 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2:1.0.8-1mnb2
+ Revision: 359671
- Updated to version 1.0.8
- Dropped uneeded patch acpid-kernel-acpi-h.patch
- Dropped merged patches: acpid-1.0.6-warning.patch,
  acpid-1.0.6-fd.patch, acpid-1.0.6-log.patch
- Redid makefile patch.

* Thu Feb 05 2009 Frederic Crozat <fcrozat@mandriva.com> 2:1.0.6-7mnb2
+ Revision: 337831
- Add runlevel 7 support in initscript

* Tue Sep 30 2008 Frederic Crozat <fcrozat@mandriva.com> 2:1.0.6-6mnb2
+ Revision: 290090
- Do no run laptop-mode hook in acpid initscript, it is done by laptop-mode initscript

* Tue Aug 05 2008 Thierry Vignaud <tvignaud@mandriva.com> 2:1.0.6-5mnb2
+ Revision: 263721
- fix license tag
- update acpid-1.0.6-makefile.patch from rh (fix building with gcc 4.3)
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2:1.0.6-4mnb1
+ Revision: 170648
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Tue Feb 12 2008 Olivier Blin <oblin@mandriva.com> 2:1.0.6-4mdv2008.1
+ Revision: 166311
- do not require obsolete acpi service in initscript

* Fri Feb 08 2008 Olivier Blin <oblin@mandriva.com> 2:1.0.6-3mdv2008.1
+ Revision: 164185
- add securlevel 80 for TurboLinux (Makoto Dei)
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Olivier Blin <oblin@mandriva.com> 2:1.0.6-2mdv2008.1
+ Revision: 117212
- remove useless logrotate file, log now goes to syslog
- fix dumping useless info to log (#35825, patch from RH #389581)
- fix socket leak (RH #394431)

* Wed Jul 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.0.6-1mdv2008.0
+ Revision: 51320
- rediff patch 1 and 2
- drop patch 3
- provide patch 4 (compile with %%optflags)
- new version
- spec file clean


* Thu Jan 11 2007 Olivier Blin <oblin@mandriva.com> 1.0.4-13mdv2007.0
+ Revision: 107423
- remove useless rm
- own /etc/acpi/actions
- do not require suspend-scripts
- bunzip2 sources
- Import acpid

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1.0.4-12mdk
- fix Requires post and preun
- fix typo in init script

* Sun Jan 08 2006 Olivier Blin <oblin@mandriva.com> 1.0.4-11mdk
- convert parallel init to LSB

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 2:1.0.4-10mdk
- Add parallel init stuff

* Tue Nov 15 2005 Stew Benedict <sbenedict@mandriva.com> 2:1.0.4-9mdk
- restore init script fix that was dropped in 8mdk

* Thu Nov 03 2005 Frederic Lepied <flepied@mandriva.com> 2:1.0.4-8mdk
- don't close clients when reloading configuration. This will avoid
having the X server consuming 100%% cpu...

* Wed Nov 02 2005 Stew Benedict <sbenedict@mandriva.com> 2:1.0.4-7mdk
- fix init script (bugzilla #19576)

* Sat Aug 27 2005 Frederic Lepied <flepied@mandriva.com> 2:1.0.4-6mdk
- start at level 14 (before dm)

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2:1.0.4-5mdk
- Patch 2 : Fix Build with gcc4 ( fedora )
- mkrel

* Sat Mar 19 2005 Michael Scherer <misc@mandrake.org> 2:1.0.4-4mdk
- fix the logrotate file

* Sun Mar 13 2005 Michael Scherer <misc@mandrake.org> 2:1.0.4-3mdk
- add a logrotate file
- clean spec file

* Sun Mar 06 2005 Stefan van der Eijk <stefan@eijk.nu> 2:1.0.4-2mdk
- re-upload (1.0.4-1mdk got lost)

* Mon Feb 28 2005 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4
- ignore .rpm{new,save} files in /etc/acpi/events (#13943, P1)

* Tue Apr 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.3-1mdk
- call battery.sh if present
- New release 1.0.3

